import { StrictMode } from 'react'
import { createRoot } from 'react-dom/client'
import Comments from './Comments.jsx'

function UcsComments(settings) {
    return (
        createRoot(document.getElementById(settings.element)).render(
            <StrictMode>

                <Comments
                    url={settings.ucs_url}
                    site={settings.site}
                    path={settings.path}
                />

            </StrictMode>,
        )
    )
};

const settings = () => {
    let element = document.getElementById('ucs-comments');
    return element.dataset;
};

UcsComments(settings());
