/**
 * Read relevant information from configuration file.
 *
 * See the `config/default.json` file for an example config.
 */
import config from "config";

const configuration = config.util.toObject();

export default {
    ...config,
    getSite: (site_url) => {
        return configuration.sites[site_url];
    },
};
