# Universal Comments System

## Build

Build and run on port 3002.

```sh
(npm run build; cd dist/assets; mv *.js index.js; mv *.css index.css; warp --port 3002)
```

## Use

In your HTML, add the following:

```html
<div id="ucs-comments"
     data-element="ucs-comments"
     data-ucs_url="[SERVICE_URL]"
     data-site="[WEBSITE]"
     data-path="[PAGE_PATH]"
></div>
<script type="module" src="[SERVICE_URL]/ucs.js"></script>
<link rel="stylesheet" type="text/css" href="[SERVICE_URL]/ucs.css">
```
